<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEquipmentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('equipment', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('fire_station_id')->unsigned();
            $table->foreign('fire_station_id')->references('id')->on('fire_stations')->onDelete('cascade');
            $table->string('name');
            $table->integer('amount');
            $table->string('parameter')->nullable();
            $table->integer('editor_id')->nullable()->default(null);
            $table->timestamps();
            $table->softDeletes();            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('equipment');
    }
}
